For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference
    • Introduction
      • GETGet Configuration
      • GETGet Configuration Mappings
LogoLogo
ReferenceConfiguration

Get Configuration

GET
/v2/configuration
GET
/v2/configuration
$curl -G https://global-api-sandbox.afterpay.com/v2/configuration \
> -H "User-Agent: User-Agent" \
> -u "<username>:<password>" \
> -d include=publicid \
> -d include=consumerlending \
> -d include=paybyinstallment
1{
2 "minimumAmount": {
3 "amount": "1.01",
4 "currency": "AUD"
5 },
6 "maximumAmount": {
7 "amount": "1000.00",
8 "currency": "AUD"
9 },
10 "publicId": "6956dfdf-c4f6-4881-aa49-230a9454d39b",
11 "consumerLending": {
12 "enabled": true,
13 "minimumAmount": {
14 "amount": "10.00",
15 "currency": "AUD"
16 },
17 "maximumAmount": {
18 "amount": "20.00",
19 "currency": "AUD"
20 }
21 },
22 "payByInstallment": {
23 "minimumAmount": {
24 "amount": "1.00",
25 "currency": "AUD"
26 },
27 "maximumAmount": {
28 "amount": "10.00",
29 "currency": "AUD"
30 }
31 }
32}
This endpoint is used to retrieve the merchant's applicable payment limits. A request to [Create Checkout](/afterpay-online-developer/api-reference/reference/checkouts/create-checkout-1) may be rejected if the order amount is not between the `minimumAmount` and `maximumAmount` (inclusive). Afterpay merchant configuration does not change frequently. For this reason, the configuration response will include Cache-Control headers in order to minimise network round trips when using a modern HTTP client. Get configuration should be called on a fixed schedule, preferably once per day. **Connection Timeouts** | Timeout | Time (Seconds) | |---------|----------------| | Open | 10 | | Read | 20 | **Example request** `GET /v2/configuration?include=publicid&include=consumerlending&include=paybyinstallment`
Was this page helpful?
Previous

Get Configuration Mappings

Next
Built with

This endpoint is used to retrieve the merchant’s applicable payment limits.

A request to Create Checkout may be rejected if the order amount is not between the minimumAmount and maximumAmount (inclusive).

Afterpay merchant configuration does not change frequently. For this reason, the configuration response will include Cache-Control headers in order to minimise network round trips when using a modern HTTP client. Get configuration should be called on a fixed schedule, preferably once per day.

Connection Timeouts

TimeoutTime (Seconds)
Open10
Read20

Example request

GET /v2/configuration?include=publicid&include=consumerlending&include=paybyinstallment

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json

Query parameters

includelist of stringsOptional
Repeat this query parameter to include optional configuration fields in the response. The endpoint always returns `minimumAmount` and `maximumAmount`. Supported values: - `publicid`: include `publicId`, the merchant public identifier (MPID) when one exists. - `consumerlending`: include `consumerLending`, which indicates whether consumer lending is enabled and, when enabled, the eligible minimum and maximum order amounts. - `paybyinstallment`: include `payByInstallment`, the configured pay by installment minimum and maximum eligible order amounts.

Response

Returns a [configuration](/afterpay-online-developer/api-reference/reference/configuration/schemas/merchant-limit) object containing the following attributes. | Attribute | Type | Description | |-----------|----------------| ----------- | | `minimumAmount` | Money | Minimum order amount. Note: This attribute may not be included if the Merchant account has no minimum order amount. | `maximumAmount` | Money | Maximum order amount. | `publicId` | string | Merchant public identifier (MPID). Returned when `include=publicid` is requested and a public mapping exists for the merchant. | `consumerLending` | object | Returned when `include=consumerlending` is requested. Contains `enabled` and, when enabled, `minimumAmount` and `maximumAmount` for consumer lending. | `payByInstallment` | object | Returned when `include=paybyinstallment` is requested and pay by installment is configured for the merchant. Contains `minimumAmount` and `maximumAmount`.
minimumAmountobject

Object containing amount and currency.

Where a Money object is included in an API request, it will be validated according to the specification above. Invalid Money objects will trigger a 422 Unprocessable Entity response. The following is a list of common examples:

ExampleerrorCodemessage
amount is omitted or nullinvalid_object{Money object}.amount Amount field required
amount has more than 2 decimal placesinvalid_object amountmust be a valid ISO 4217 format value
amount includes a thousands separator comma, for example: “1,000”invalid_amountAmount must be a valid ISO 4217 format value
amount is not a decimal number, for example: “FREE”, “$2” or an empty stringinvalid_object{Money object}.amount Amount field must be a valid ISO 4217 format value
currency is omitted or nullinvalid_object{Money object}.currency Currency field required
currency is not a valid currency code, not all uppercase or an empty stringinvalid_object{Money object}.currency Currency not supported for this merchant
currency is supported by Afterpay, but not valid for the Merchant accountunsupported_currencyAn error occurred
maximumAmountobject

Object containing amount and currency.

Where a Money object is included in an API request, it will be validated according to the specification above. Invalid Money objects will trigger a 422 Unprocessable Entity response. The following is a list of common examples:

ExampleerrorCodemessage
amount is omitted or nullinvalid_object{Money object}.amount Amount field required
amount has more than 2 decimal placesinvalid_object amountmust be a valid ISO 4217 format value
amount includes a thousands separator comma, for example: “1,000”invalid_amountAmount must be a valid ISO 4217 format value
amount is not a decimal number, for example: “FREE”, “$2” or an empty stringinvalid_object{Money object}.amount Amount field must be a valid ISO 4217 format value
currency is omitted or nullinvalid_object{Money object}.currency Currency field required
currency is not a valid currency code, not all uppercase or an empty stringinvalid_object{Money object}.currency Currency not supported for this merchant
currency is supported by Afterpay, but not valid for the Merchant accountunsupported_currencyAn error occurred
publicIdstring

Merchant public identifier (MPID). Returned only when include=publicid is requested and a public mapping exists for the merchant.

consumerLendingobject

Returned only when include=consumerlending is requested. Indicates whether consumer lending is enabled for the merchant’s online channel and, when enabled, the eligible order amount range.

payByInstallmentobject

Returned only when include=paybyinstallment is requested and pay by installment is configured for the merchant. Contains the eligible order amount range for pay by installment.

Errors

401
Unauthorized Error

Repeat this query parameter to include optional configuration fields in the response. The endpoint always returns minimumAmount and maximumAmount.

Supported values:

  • publicid: include publicId, the merchant public identifier (MPID) when one exists.
  • consumerlending: include consumerLending, which indicates whether consumer lending is enabled and, when enabled, the eligible minimum and maximum order amounts.
  • paybyinstallment: include payByInstallment, the configured pay by installment minimum and maximum eligible order amounts.

Returns a configuration object containing the following attributes.

AttributeTypeDescription
minimumAmountMoneyMinimum order amount. Note: This attribute may not be included if the Merchant account has no minimum order amount.
maximumAmountMoneyMaximum order amount.
publicIdstringMerchant public identifier (MPID). Returned when include=publicid is requested and a public mapping exists for the merchant.
consumerLendingobjectReturned when include=consumerlending is requested. Contains enabled and, when enabled, minimumAmount and maximumAmount for consumer lending.
payByInstallmentobjectReturned when include=paybyinstallment is requested and pay by installment is configured for the merchant. Contains minimumAmount and maximumAmount.